Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 989069 - Review Request: python-uri-templates - A Python implementation of URI Template
Summary: Review Request: python-uri-templates - A Python implementation of URI Template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 989068
TreeView+ depends on / blocked
 
Reported: 2013-07-27 10:00 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-11-11 02:34 UTC (History)
4 users (show)

Fixed In Version: python-uri-templates-0.5.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-11 02:33:41 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2013-07-27 10:00:57 UTC
Spec URL: http://ankursinha.fedorapeople.org/python-uri-templates/python-uri-templates.spec
SRPM URL: http://ankursinha.fedorapeople.org/python-uri-templates/python-uri-templates-0.5.2-1.fc20.src.rpm

Description: 
This is a Python implementation of RFC6570, URI Template, and can 
expand templates up to and including Level 4 in that specification.


Fedora Account System Username: ankursinha

Comment 1 Christopher Meng 2013-07-29 01:27:24 UTC
A suggestion, use https://pypi.python.org/packages/source/u/uritemplate/uritemplate-0.5.2.tar.gz

as source ;) You don't need to waste 2 lines.

APPROVED.

Comment 2 Ankur Sinha (FranciscoD) 2013-07-29 01:39:28 UTC
(In reply to Christopher Meng from comment #1)
> A suggestion, use
> https://pypi.python.org/packages/source/u/uritemplate/uritemplate-0.5.2.tar.
> gz
> 
> as source ;) You don't need to waste 2 lines.
> 
> APPROVED.

Thanks for the review Christoph. Is it OK if I continue to track github? pypi tends to get out of date rather quickly.

Comment 3 Ankur Sinha (FranciscoD) 2013-07-29 01:40:23 UTC
New Package SCM Request
=======================
Package Name: python-uri-templates
Short Description: A Python implementation of URI Template
Owners: ankursinha
Branches: f18 f19
InitialCC:

Comment 4 Christopher Meng 2013-07-29 01:48:33 UTC
No problem.

Comment 5 Gwyn Ciesla 2013-07-29 12:16:10 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-07-30 03:19:28 UTC
python-uri-templates-0.5.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-uri-templates-0.5.2-1.fc18

Comment 7 Fedora Update System 2013-07-30 03:19:40 UTC
python-uri-templates-0.5.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-uri-templates-0.5.2-1.fc19

Comment 8 Fedora Update System 2013-08-02 03:23:09 UTC
python-uri-templates-0.5.2-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Ankur Sinha (FranciscoD) 2013-11-08 23:43:26 UTC
What info are you looking for Christopher? It's generally a good idea to accompany the needinfo with a comment :)

Comment 10 Christopher Meng 2013-11-10 08:44:58 UTC
I think that I wanted to notify you to push them to stable.

Comment 11 Fedora Update System 2013-11-11 02:33:41 UTC
python-uri-templates-0.5.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-11-11 02:34:02 UTC
python-uri-templates-0.5.2-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.